<div class="flex-column full-height full-width" style="overflow-y: hidden">
  <div class="flex-row p-r-10">
    <div class="panel-title">
      {{
        'sqtm-core.campaign-workspace.execution-page.scenario.label' | translate
      }}
    </div>
    <div class="collapse-button">
      <a
        [attr.data-test-element-id]="'collapse-all-steps'"
        (click)="collapseAllSteps()"
      >
        <i
          nz-icon
          nzType="sqtm-core-generic:zoom-out"
          nzTheme="outline"
          class="action-icon-size current-workspace-button"
          [nz-tooltip]="
            'sqtm-core.test-case-workspace.test-steps.button.collapse-all'
              | translate
          "
        >
        </i>
      </a>
      <a
        [attr.data-test-element-id]="'expend-all-steps'"
        (click)="expandAllSteps()"
        class="m-l-10 current-workspace-button"
      >
        <i
          nz-icon
          nzType="sqtm-core-generic:zoom-in"
          nzTheme="outline"
          class="action-icon-size"
          nzTooltipPlacement="topRight"
          [nz-tooltip]="
            'sqtm-core.test-case-workspace.test-steps.button.expand-all'
              | translate
          "
        >
        </i>
      </a>
    </div>
  </div>
  <div
    #scrollableStepList
    class="full-width full-height flex-column"
    style="overflow-y: auto; overflow-x: hidden"
  >
    <div
      class="full-width flex-fixed-size p-r-10"
      [attr.data-test-element-id]="'execution-step-list'"
    >
      @if (executionPageComponentData.execution.kind !== 'KEYWORD') {
        @if (extendedPrerequisite) {
          <div class="full-width prerequisite p-10">
            <div class="m-b-10">
              <i
                class="m-r-10"
                nz-icon
                nzType="{{ 'caret-down' }}"
                nzTheme="outline"
                (click)="togglePrerequisite()"
              ></i>
              <span
                class="header-typography"
                [attr.data-test-field-id]="'prerequisite-header'"
              >
                {{
                  (executionPageComponentData.execution.kind === 'STANDARD'
                    ? 'sqtm-core.campaign-workspace.execution-page.prerequisites.label'
                    : 'sqtm-core.campaign-workspace.execution-page.background.label'
                  ) | translate
                }}
              </span>
            </div>
            <ng-container>
              <sqtm-core-editable-rich-text
                [editable]="false"
                [attr.data-test-field-id]="'prerequisite'"
                [value]="getExecutionPrerequisite()"
              >
              </sqtm-core-editable-rich-text>
            </ng-container>
          </div>
        } @else {
          <div class="full-width prerequisite prerequisite-collapsed">
            <div class="flex-row full-height p-10" style="align-items: center">
              <i
                class="prerequisite-center m-r-10"
                nz-icon
                nzType="caret-right"
                nzTheme="outline"
                (click)="togglePrerequisite()"
              ></i>
              <span
                class="header-typography"
                [attr.data-test-field-id]="'prerequisite-header'"
              >
                {{
                  (executionPageComponentData.execution.kind === 'STANDARD'
                    ? 'sqtm-core.campaign-workspace.execution-page.prerequisites.label'
                    : 'sqtm-core.campaign-workspace.execution-page.background.label'
                  ) | translate
                }}
                :
              </span>
              <div
                class="prerequisite-center m-l-10"
                style="max-height: 21px; overflow: hidden"
                [innerHTML]="getExecutionPrerequisite()"
              ></div>
            </div>
          </div>
        }
      }

      <ng-container>
        @for (step of steps; track trackStepFn($index, step)) {
          <sqtm-app-execution-step
            [step]="step"
            [execution]="executionPageComponentData.execution"
            [executionStepCustomFieldBindingData]="
              executionPageComponentData.projectData.customFieldBinding
                .EXECUTION_STEP
            "
            [initialFraction]="fraction"
            [permissions]="executionPageComponentData.permissions"
            [milestonesAllowModification]="
              executionPageComponentData.milestonesAllowModification
            "
            [issues]="filterIssuesByStep(step.order)"
            [authenticated]="authenticated$ | async"
            [bugtracker]="executionPageComponentData.projectData.bugTracker"
            [disabledExecutionStatus]="
              executionPageComponentData.projectData.disabledExecutionStatus
            "
            (resizeActionStepColumn)="resizeActionGrid($event)"
            (refreshIssueData)="loadIssuesData(true)"
          >
          </sqtm-app-execution-step>
        }
      </ng-container>
    </div>
  </div>
</div>
